<!doctype html>
<html>
<head>
    <title>GSoC 2012 Projects | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="GSoC 2012 Projects | Tor Project">
    <meta property="og:description" content="We&#39;re pleased to announce that the Tor Project and Tails are hosting students this year as part...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/gsoc-2012-projects/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        GSoC 2012 Projects
      </h1>
    <p class="meta">by atagar | May 4, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We're pleased to announce that the Tor Project and Tails are hosting students this year as part of <a href="http://www.google-melange.com/gsoc/homepage/google/gsoc2012" rel="nofollow">Google Summer of Code</a>. Out of the 26 applications to us we were able to take on six fantastic students:<br />
 </p>

<ul>
<li>
<strong>Ravi Padmala - <a href="http://archives.seul.org/or/dev/Apr-2012/msg00042.html" rel="nofollow">Introduction</a></strong><br />
Project: <a href="https://www.torproject.org/about/gsocProposal/gsoc12-proposal-stemImprovements.html" rel="nofollow">Stem Improvements and Arm port</a><br />
Mentor: Damian / Sathyanarayanan<br />
 
</li>
<li>
<strong>Feroze Naina - <a href="http://archives.seul.org/or/dev/Apr-2012/msg00038.html" rel="nofollow">Introduction</a></strong><br />
Project: <a href="http://feroze.in/gsoc12.html" rel="nofollow">Implementing Hidden Service Configuration</a><br />
Mentor: Tomás / Sebastian<br />
 
</li>
<li>
<strong>Michele Orrù - <a href="http://archives.seul.org/or/dev/Apr-2012/msg00031.html" rel="nofollow">Introduction</a></strong><br />
Project: <a href="https://pad.riseup.net/p/APAF-timeline" rel="nofollow">Anonymous Python Application Framework</a><br />
Mentor: Arturo / George<br />
 
</li>
<li>
<strong>Julien Voisin - <a href="http://archives.seul.org/or/dev/Apr-2012/msg00035.html" rel="nofollow">Introduction</a></strong><br />
Project: <a href="http://dustri.org/pub/tails_server.pdf" rel="nofollow">Tails Server</a><br />
Mentor: intrigeri, anonym<br />
 
</li>
<li>
<strong>Brandon Wiley</strong><br />
Project: Pluggable Transports in Python<br />
Mentor: George / Nick<br />
 
</li>
<li>
<strong>vmon</strong><br />
Project: Stegotorus<br />
Mentor: Zack Weinberg / Steven / Roger<br />
 
</li>
</ul>

<p>Projects officially begin on May 21st. We're thrilled to have them with us, and have our fingers crossed that they'll stay afterward to become core developers.<br />
 <br />
Many thanks to Google for having the program again this year! -Damian</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/internships">
          internships
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-15667"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15667" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 20, 2012</p>
    </div>
    <a href="#comment-15667">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15667" class="permalink" rel="bookmark">I just wanted to give a BIG</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I just wanted to give a BIG THANKS to Tor, GSOC, and the students! Good luck to all of you, and students: have fun!</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
